Subject: Re: [savnet] Welcome to the savnet mailing list - dsav framework

From: <[email-masked]>
Date: Thu, 3 Mar 2022 15:52:08 +0800

Thanks to Xingang and Michael.

The basic idea of DSAV protocol is to discover the data-plane forwarding path by a hop-by-hop prefix notification, and build the SAV table during the notification process. Originally we use the term of “path probing” to briefly refer to the idea. We cannot directly change the term of "path probing" to “path notification” or “path announcement”. The term of “prefix notification” cannot summarize the idea, either.

Maybe a better term is “path discovery by prefix notification”.

Best,

Dan

发件人: Huangmingqing (Michael) <[email-masked]> 
发送时间: 2022年3月3日 14:13
收件人: Xingang Shi <[email-masked]>; Dan Li <[email-masked]>
抄送: [email-masked]; Joel M. Halpern <[email-masked]>
主题: 答复: [savnet] Welcome to the savnet mailing list - dsav framework

According the mechanism of DSAV, the purpose of so-called DPP is to re-run the paths to destinations, destination path discovery or recovery sort of term may also be a choice?

BR, 

Michael

发件人: savnet [mailto:[email-masked]] 代表 Xingang Shi
发送时间: 2022年3月3日 11:48
收件人: Dan Li <[email-masked] <mailto:[email-masked]> >
抄送: [email-masked] <mailto:[email-masked]> ; Joel M. Halpern <[email-masked] <mailto:[email-masked]> >
主题: Re: [savnet] Welcome to the savnet mailing list - dsav framework

On Thu, Mar 3, 2022 at 10:13 AM <[email-masked] <mailto:[email-masked]> > wrote:

For the "subnet" term, we just want to mean the layer-2 network that is attached to the router. Can we change it to "access network"? or any suggestions from other colleagues?

For the "probing" term, I definitely agree that "notification" is better, since we do not need any response from downstream routers. We will change "probing" to "notification" for subsequent materials.

Maybe "advertisement" or "announcement" is also a choice? We have seen them in  IGP and BGP. 

Regards,

Xingang

We will also re-organize the slides, by primarily putting open questions in the slides. Initial considerations for the questions will be put to the discussion phase, if the audience has interest.

Comments from more colleagues in the list will be appreciated.

Thanks,
Dan

-----邮件原件-----
发件人: Joel M. Halpern <[email-masked] <mailto:[email-masked]> > 
发送时间: 2022年3月2日 23:40
收件人: [email-masked] <mailto:[email-masked]> ; [email-masked] <mailto:[email-masked]> 
主题: Re: [savnet] Welcome to the savnet mailing list - dsav framework

I look forward to comments from folks on the list.

First, and particularly, I really like the set of open questions and issues.  that is really helpful.

On slide 5, I think there is one technical point that could use improvement.  You refer to node B checking for local subnets / networks. 
  I know what local subnets are.  I do not think "local networks" are well defined.  I think your intent is to terminate reports that are only destined to destinations node B considers to be customers.  If so, this needs to be reworded slightly.

I am concerned that the deck may be too long to cover.   In this case 
the right answer may be to plan to go through the questions slides quickly in your presentation, and then spend more time on whichever questions the room (virtual and in person) finds most relevant.

As a minor point, I still find referring to the protocol behavior as probing to be misleading.  The messages are notifications.  They are not probes which produce informational responses.

Yours,
Joel

On 2/28/2022 9:29 AM, [email-masked] <mailto:[email-masked]>  wrote:
> Dear all,
> 
> Welcome to join the savnet mailing list. The topic of this mailing 
> list is about source address validation (SAV) in intra-domain and 
> inter-domain networks. We will have a BoF meeting about this topic on 
> Mar 24 in IETF 113 (refer to the agenda:
> https://datatracker.ietf.org/meeting/113/agenda.html
> <https://datatracker.ietf.org/meeting/113/agenda.html>). The link of 
> the BoF proposal is 
> https://datatracker.ietf.org/doc/bofreq-li-sav-for-intra-and-inter-dom
> ain-networks/ 
> <https://datatracker.ietf.org/doc/bofreq-li-sav-for-intra-and-inter-domain-networks/>.
> 
> 
> Enclosed please find the presentation slides we prepared for the BoF 
> meeting, one about the gap analysis and one about the solution 
> framework. Your comments and feedback will be highly appreciated. Hope 
> that our discussions in this mailing list can help the BoF meeting 
> more efficient and more effective.
> 
> Best,
> 
> Dan Li
> 
> 

-- 
savnet mailing list
[email-masked] <mailto:[email-masked]> 
https://www.ietf.org/mailman/listinfo/savnet